local fn = _gn(0xA5EAFE473E45C442)
--- Adds a ped to a networked synchronized scene but extends [`NETWORK_ADD_PED_TO_SYNCHRONISED_SCENE`](#\_0x742A637471BCECD9) to support IK flags.
-- There is barely any difference between this and [`NETWORK_ADD_PED_TO_SYNCHRONISED_SCENE`](#\_0x742A637471BCECD9).
-- ```
-- NativeDB Introduced: v1290
-- ```
-- @param ped Index of the ped to add to the scene.
-- @param netSceneID Network scene ID returned by [`NETWORK_CREATE_SYNCHRONISED_SCENE`](#\_0x7CD6BC4C2BBDD526).
-- @param animDict Which anim dictionary to use on this ped.
-- @param animClip Which clip from the anim dictionary to use on this ped.
-- @param blendIn Blend in speed of the animation. Default is `8.0`.
-- @param blendOut Blend out speed of the animation. Default is `-8.0`.
-- @param sceneFlags Synchronized scene flags. See [`NETWORK_ADD_PED_TO_SYNCHRONISED_SCENE`](#\_0x742A637471BCECD9).
-- @param ragdollFlags Ragdoll blocking flags. Default is 0.
-- @param moverBlendInDelta Determines the rate at which the mover blends in to the scene. Useful for ensuring a seamless entry onto a synchronized scene. Default is `1000.0`.
-- @param ikFlags Inverse kinematics flags. Default is `0`.
function Global.NetworkAddPedToSynchronisedSceneWithIk(ped, netSceneID, animDict, animClip, blendIn, blendOut, sceneFlags, ragdollFlags, moverBlendInDelta, ikFlags)
	return fn(ped, netSceneID, _ts(animDict), _ts(animClip), blendIn, blendOut, sceneFlags, ragdollFlags, moverBlendInDelta, ikFlags)
end
